#ifndef GPIOPin_h
#define GPIOPin_h

#include "GPIOTypes.h"

class GPIOPin {
public:
    GPIOPin(int pinNum);
    ~GPIOPin(void);

    GPIO_Result setDirection(GPIO_Direction dir);
    GPIO_Result getDirection(GPIO_Direction &dir);
    GPIO_Direction getDirection();

    GPIO_Result set(int value);
    GPIO_Result get(int &value);
    int get();

private:
    int pinNumber;
};

#endif
